
/* Chrysalide - Outil d'analyse de fichiers binaires
 * base64.h - prototypes pour les calculs d'encodages en base 64
 *
 * Copyright (C) 2023 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Chrysalide.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _PLUGINS_ENCODINGS_BASE64_H
#define _PLUGINS_ENCODINGS_BASE64_H


#include <stdbool.h>


#include <common/szstr.h>



/* Procède à l'encodage d'un contenu en base 64. */
bool _base64_encode(const sized_binary_t *, sized_string_t *, const sized_string_t *);

/* Procède à l'encodage par défaut d'un contenu en base 64. */
bool base64_encode(const sized_binary_t *, sized_string_t *);



#endif  /* _PLUGINS_ENCODINGS_BASE64_H */
