
/* Chrysalide - Outil d'analyse de fichiers binaires
 * browser.h - prototypes pour le parcours des résultats d'analyse Kaitai pour ROST
 *
 * Copyright (C) 2023 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Chrysalide.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef PLUGINS_KAITAI_ROST_BROWSER_H
#define PLUGINS_KAITAI_ROST_BROWSER_H


#include <glib-object.h>


#include "../record.h"



#define G_TYPE_KAITAI_BROWSER            g_kaitai_browser_get_type()
#define G_KAITAI_BROWSER(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), G_TYPE_KAITAI_BROWSER, GKaitaiBrowser))
#define G_IS_KAITAI_BROWSER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), G_TYPE_KAITAI_BROWSER))
#define G_KAITAI_BROWSER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass), G_TYPE_KAITAI_BROWSER, GKaitaiBrowserClass))
#define G_IS_KAITAI_BROWSER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), G_TYPE_KAITAI_BROWSER))
#define G_KAITAI_BROWSER_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), G_TYPE_KAITAI_BROWSER, GKaitaiBrowserClass))


/* Parcours des résultats d'une analyse Kaitai pour ROST (instance) */
typedef struct _GKaitaiBrowser GKaitaiBrowser;

/* Parcours des résultats d'une analyse Kaitai pour ROST (classe) */
typedef struct _GKaitaiBrowserClass GKaitaiBrowserClass;


/* Indique le type défini pour un parcours de correspondances Kaitai pour ROST. */
GType g_kaitai_browser_get_type(void);

/* Crée un nouveau parcours de correspondances Kaitai. */
GKaitaiBrowser *g_kaitai_browser_new(const char *, GMatchRecord *);



#endif  /* PLUGINS_KAITAI_ROST_BROWSER_H */
