
/* Chrysalide - Outil d'analyse de fichiers binaires
 * trigger-int.h - prototypes internes pour l'accès à des définitions Kaitai depuis ROST
 *
 * Copyright (C) 2023 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Chrysalide.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _PLUGINS_KAITAI_ROST_TRIGGER_INT_H
#define _PLUGINS_KAITAI_ROST_TRIGGER_INT_H


#include <analysis/scan/item-int.h>


#include "trigger.h"



/* Accès à une définition et déclenchement d'une analyse Kaitai depuis ROST (instance) */
struct _GKaitaiTrigger
{
    GScanRegisteredItem parent;             /* A laisser en premier        */

    char *name;                             /* Désignation arbitraire      */

    GKaitaiStruct *kstruct;                 /* Définition à décliner       */

};

/* Accès à une définition et déclenchement d'une analyse Kaitai depuis ROST (classe) */
struct _GKaitaiTriggerClass
{
    GScanRegisteredItemClass parent;        /* A laisser en premier        */

};


/* Met en place un accès à une définition Kaitai pour ROST. */
bool g_kaitai_trigger_create(GKaitaiTrigger *, GKaitaiStruct *);



#endif  /* _PLUGINS_KAITAI_ROST_TRIGGER_INT_H */
